//
// Copyright 1999 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wConfigPane: the user preferences edit pane
//

#ifndef p4wConfigPane_H
#define p4wConfigPane_H

#include "p4wSpecPane.h"

class StrDict;

class p4wConfigPane : public p4wSpecPane {

public:

	p4wConfigPane( p4wView & ParentView, p4wRequest & Request ); 
	virtual	~p4wConfigPane();

	//
	// Overrides for spec panes
	//
	virtual int IgnoreField( const char * field ) { return 0; }; 
	virtual int CustomField( const char * field, 
		StrDict * varList, int maxFieldLen, SpecElem *se ) { return 0; };
		
	//
	// Overrides for spec edit panes
	//
	virtual void GetAction( StrBuf & actionURL );
	virtual void Render( StrDict * varList );
	virtual void End();
};

#endif
